[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Switch from xz-utils to liblzma in dpkg Pre-Depends


On Mon, 2011-05-16 at 06:19:48 +0200, Guillem Jover wrote:
> As I'd like to change a Pre-Depends in dpkg, I'm bringing this up here
> for discussion, as per policy §3.5 and given dpkg “Essential: yes”
> nature.
> As mentioned in [0] some time ago, I'd like to switch the Pre-Depends
> from the current xz-utils commands to use the liblzma shared library,
> (with a patch provided by Jonathan Nieder). This will reduce the
> pseudo-essential package set and installed size slightly, and it
> will also allow for speed up improvements in the future.
>   [0] <http://lists.debian.org/debian-devel/2010/02/msg00511.html>
> There might be packages now implicitly depending on xz-utils given
> that it's being pulled by dpkg, but those are buggy and should be
> fixed regardless.
> If there's no strong reasons not to, I'd like to include this for
> 1.16.1, as part of the dpkg buffer api rework needed for multiarch,
> the conffiledb and automatic checksum generation.

I'll be including this in the upcoming dpkg 1.16.4 release.


Reply to: